#include<bits/stdc++.h>
using namespace std;
const int maxn=1e6;
int n,k;
int a[maxn];
int c[maxn];
int val[maxn];
int v[maxn];
void read()
{
    cin>>n>>k;
    for(int i=0; i<n-1; i++)
    {
        cin>>a[i];
        c[i]=i;
    }
}
int ans=0;
void solve()
{
    for(int i=0; i<k-1; i++){
    for(int j=c[i-1]; j<c[i]-1; j++)
    {
        v[j]=j;
    }
    }
    for(int i=0; i<k-1; i++)
    {
        val[i]= v[i]|v[i+1];

    }
}
int main()
{
  read();
  solve();
  for(int i=0; i<k-1; i++)
  {
      ans=val[i]&&val[i+1];
  }
  cout<<ans<<endl;
  return 0;
}
